# Created by pyp2rpm-3.3.7
%global pypi_name sphinxcontrib-asciinema
%global pypi_version 0.3.3

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        %mkrel 4
Summary:        Embed asciinema casts in your Sphinx docs
Group:          Development/Python
License:        MIT
URL:            https://github.com/divi255/sphinxcontrib.asciinema
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/sphinxcontrib.asciinema-%{pypi_version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
Easily embed asciinema videos into Sphinx rst docs.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Easily embed asciinema videos into Sphinx rst docs.

%prep
%autosetup -n sphinxcontrib.asciinema-%{pypi_version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

# drop .pth
rm -rf %{buildroot}%{python3_sitelib}/sphinxcontrib*-nspkg.pth

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/sphinxcontrib
%{python3_sitelib}/sphinxcontrib.asciinema-%{pypi_version}-py%{python3_version}.egg-info


%changelog
* Thu Dec 07 2023 wally <wally> 0.3.3-4.mga10
+ Revision: 2015088
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.3.3-3.mga9
+ Revision: 1823291
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.3.3-2.mga9
+ Revision: 1782415
- rebuild for python-3.10

* Sun Aug 29 2021 wally <wally> 0.3.3-1.mga9
+ Revision: 1743375
- imported package python-sphinxcontrib-asciinema

